AprLifecycleListener (Tomcat API Documentation)
Keywords: org.apache.catalina.core.AprLifecycleListener class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.core
Class AprLifecycleListener

    java.lang.Object
      org.apache.catalina.core.AprLifecycleListener

All Implemented Interfaces:
  LifecycleListener

public class AprLifecycleListener
extends java.lang.Object
implements LifecycleListener

Implementation of `LifecycleListener` that will init and and destroy APR.

Since:
  4.1
Version:
  $Id: AprLifecycleListener.java 1171683 2011-09-16 17:21:25Z jim $
Author:
  Remy Maucherat, Filip Hanik

Field Summary
`protected static boolean` | `aprAvailable`
`protected static boolean` | `aprInitialized`
`protected static int` | `RECOMMENDED_PV`
`protected static int` | `REQUIRED_MAJOR`
`protected static int` | `REQUIRED_MINOR`
`protected static int` | `REQUIRED_PATCH`
`protected static StringManager` | `sm` The string manager for this package.
`protected static boolean` | `sslAvailable`
`protected static java.lang.String` | `SSLEngine`
`protected static boolean` | `sslInitialized`
`protected static java.lang.String` | `SSLRandomSeed`

Constructor Summary
`AprLifecycleListener()`

Method Summary
`java.lang.String` | `getSSLEngine()`
`java.lang.String` | `getSSLRandomSeed()`
`static boolean` | `isAprAvailable()`
`void` | `lifecycleEvent(LifecycleEvent event)` Primary entry point for startup and shutdown events.
`void` | `setSSLEngine(java.lang.String SSLEngine)`
`void` | `setSSLRandomSeed(java.lang.String SSLRandomSeed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sm

    protected static StringManager sm

  The string manager for this package.

### REQUIRED_MAJOR

    protected static final int REQUIRED_MAJOR

See Also:
  Constant Field Values

### REQUIRED_MINOR

    protected static final int REQUIRED_MINOR

See Also:
  Constant Field Values

### REQUIRED_PATCH

    protected static final int REQUIRED_PATCH

See Also:
  Constant Field Values

### RECOMMENDED_PV

    protected static final int RECOMMENDED_PV

See Also:
  Constant Field Values

### SSLEngine

    protected static java.lang.String SSLEngine

### SSLRandomSeed

    protected static java.lang.String SSLRandomSeed

### sslInitialized

    protected static boolean sslInitialized

### aprInitialized

    protected static boolean aprInitialized

### sslAvailable

    protected static boolean sslAvailable

### aprAvailable

    protected static boolean aprAvailable

Constructor Detail

### AprLifecycleListener

    public AprLifecycleListener()

Method Detail

### isAprAvailable

    public static boolean isAprAvailable()

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Primary entry point for startup and shutdown events.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - The event that has occurred

### getSSLEngine

    public java.lang.String getSSLEngine()

### setSSLEngine

    public void setSSLEngine(java.lang.String SSLEngine)

### getSSLRandomSeed

    public java.lang.String getSSLRandomSeed()

### setSSLRandomSeed

    public void setSSLRandomSeed(java.lang.String SSLRandomSeed)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.